.\$Id: qsac2sdr.man,v 1.2 1995/03/22 16:04:09 doug Exp $ 
.TH QSAC2SDR 1 "8 July 1993" BDSN
.SH NAME
qsac2sdr
.SH SYNOPSIS
.B qsac2sdr 
[\ \fB\-h\fR\ ]
[\ \fB\-b\fR\ ]
[\ \fB\-S\fR\ \fIstation_id\fR\ ]
[\ \fB\-C\fR\ \fIchannel_id\fR\ ]
[\ \fB\-N\fR\ \fInetwork_id\fR\ ]
[\ \fIinput_file\fR\ [\ \fIoutput_file\fR\ ]\ ]
.br
.SH DESCRIPTION
The program
.B qsac2sdr
converts a SAC ASCII or SAC binary data file acquired from a Quanterra data logger  
into a miniSEED file with 4096 byte records containing STEIM level 1 compressed
data.
.SH OPTIONS
.TP
.B \-b
specifies that the input data is in SAC binary format.  The default is to assume that
the input is in SAC ASCII format.
.TP
.BI \-S\  station_id
explicitly specified the SEED station name.  If this option is not
specified, the program will attempt to derive the SEED station name from SAC
EVENT_NAME string.
.TP
.BI \-C\  channel_id
explicitly specified the SEED channel name.  If this option is not
specified, the program will attempt to derive the SEED channel name from SAC
EVENT_NAME string.
.TP
.BI \-N\  network_id
explicitly specified the SEED network name.  If this option is not
specified, the program will use the default network name that was compiled
into the program.
.TP
.B \-h
print out a simple help message with syntax and explaination of the options.
.TP
\fIinput_file\fR
.br
specifies the input file to be read.  If no input file is specified, 
data is read from stdin.
.TP
\fIoutput_file\fR
.br
specifies the output file to be written.  If no output file is specified, 
data is written to stdout.
.SH NOTES
If only one filename is specified, it is assumed to be the input file.  You
cannot specify an output filename when the input is read from stdin.  You
can instead use the shell i/o redirection to specify the output file.

The Quanterra places the component and stream name of the datastream in the
SAC EVENT_NAME string, starting at character offset 10 (11-th character).
This program assumes this information is contained in that location, and may
not process files that do not contain the component and stream in this field.
.SH BUGS
Report bugs or suggestions to
doug@seismo.berkeley.edu.

