.\$Id: sac2ms.man,v 1.3 2014/08/22 18:27:30 doug Exp $ 
.TH SAC2MS 1 "23 Aug 2014" BDSN
.SH NAME
sac2ms - Convert SAC data to MiniSEED format.
.SH SYNOPSIS
.B sac2ms 
[\fB\-S\fR\ \fIstation_id\fR]
[\fB\-C\fR\ \fIchannel_id\fR]
[\fB\-N\fR\ \fInetwork_code\fR]
[\fB\-L\fR\ \fIlocation_code\fR]
[\fB\-f\ a|b\fR]
[\fB\-b\ \fIblksize\fR]
[\fB\-s\ \fIscale_factor\fR]
[\fB\-F\ \fIformat\fR]
[\fB\-h\fR]
[\fIinput_file\fR
[\fIoutput_file\fR]]
.br
.SH DESCRIPTION
The program
.B sac2ms
converts a SAC ASCII or SAC BINARY data file to a MiniSEED
file with user-specifiable MiniSEED data format and blocksize.
.SH OPTIONS
.TP
.BI \-S\  station_id
explicitly specified the SEED station name.  If this option is not
specified, the program will attempt to derive the SEED station name from SAC
KSTNM string or the EVENT_NAME string (for Quanterra SAC data).
.TP
.BI \-C\  channel_id
explicitly specified the SEED channel name.  If this option is not
specified, the program will attempt to derive the SEED channel name from SAC
KCMPNM field or the SAC EVENT_NAME string (for Quanterra SAC data).
.TP
.BI \-N\  network_code
explicitly specified the SEED network name.  If this option is not
specified, the program will use the default network name that was compiled
into the program.
.TP
.BI \-L\  location_code
explicitly specified the SEED location code.  If this option is not
specified, the program will use the default location code that was compiled
into the program.
.TP
.BI \-f\  a|b
specifies that the input data is either in SAC ASCII or SAC BINARY format
respectively.  The default is to assume that the input is in SAC ASCII
format.
.TP
.BI \-b\  blksize
specifies the MiniSEED record size for the output MiniSEED file.
The default record size is 512 bytes.
.TP
.BI \-s\  scale_factor
specifies a floating point scale factor to be multipled with each SAC data
value before converting to integer MiniSEED.
The default scale factor is 1.0.
.TP
.BI \-F\  format
specifies the MiniSEED data format for the output MiniSEED file.
Valid formats are STEIM1, STEIM2, INT16, INT24, and INT32.
The default format is STEIM2.
.TP
.BI \-h
print out a simple help message with syntax and explaination of the options.
.TP
\fIinput_file\fR
.br
specifies the input file to be read.  If no input file is specified, 
data is read from stdin.
.TP
\fIoutput_file\fR
.br
specifies the output file to be written.  If no output file is specified, 
data is written to stdout.
.SH NOTES
If only one filename is specified, it is assumed to be the input file.  You
cannot specify an output filename when the input is read from stdin.  You
can instead use the shell i/o redirection to specify the output file.
.SH AUTHOR
Douglas Neuhauser, UC Berkeley Seismological Laboratory,
doug@seismo.berkeley.edu

